
<form (ngSubmit)="onSubmit()" #userDetailsForm="ngForm">
  <div class="form-group">
    <label for="name">Name</label>
    <input type="text" class="form-control" id="name"
            required
            [(ngModel)]="user.name" name="name"
            #name="ngModel">
    <div [hidden]="name.valid || name.pristine"
          class="alert alert-danger">
      Name is required!
    </div>
  </div>

  <div class="form-group">
    <label for="institute">Institute</label>
    <input type="text" class="form-control" id="institute"
            [(ngModel)]="user.institute" name="institute">
  </div>

  <div class="form-group">
    <label for="fieldOfStudies">Field of studies</label>
    <input type="text" class="form-control" id="fieldOfStudies"
            [(ngModel)]="user.fieldOfStudies" name="fieldOfStudies">
  </div>

  <div class="form-group">
    <label for="interests">Interests</label>
    <input type="text" class="form-control" id="interests"
            [(ngModel)]="user.interests" name="interests">
  </div>

  <div class="form-group">
    <label for="cv">CV</label>
    <textarea type="text" class="form-control" id="cv"
            [(ngModel)]="user.cv" name="cv" cols="10"></textarea>
  </div>

  <button type="submit" class="btn btn-success" [disabled]="!userDetailsForm.form.valid">Submit</button>
</form>
